%define major        11
%define libname      %mklibname nftnl %{major}
%define libnamedevel %mklibname nftnl -d

Summary:	Userspace library for handling of netfilter netlink messages
Name:		libnftnl
Version:	1.2.6
Release:	%mkrel 1
Group:		System/Libraries
License:	GPLv2
URL:		https://netfilter.org/projects/libnftnl/index.html
Source0:	https://www.netfilter.org/projects/libnftnl/files/libnftnl-%{version}.tar.xz

BuildRequires:	pkgconfig(libmnl)

%description
libnftnl is a userspace library providing a low-level netlink programming
interface (API) to the in-kernel nf_tables subsystem. The library libnftnl has
been previously known as libnftables. This library is currently used by
nftables.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n	%{libname}
libnftnl is a userspace library providing a low-level netlink programming
interface (API) to the in-kernel nf_tables subsystem. The library libnftnl has
been previously known as libnftables. This library is currently used by
nftables.

%package -n	%{libnamedevel}
Summary:	Development files for %{name}
Group:		Development/C
Provides:	libnftnl-devel = %{version}-%{release}
Requires:	%{libname} >= %{version}-%{release}

%description -n %{libnamedevel}
This package contains the development files for %{name}.

%prep
%setup -q
%autosetup -p1

%build
%configure --disable-static
%make_build

%check
%__make check

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libnamedevel}
%{_includedir}/libnftnl
%{_libdir}/*.so
%{_libdir}/pkgconfig/libnftnl.pc



%changelog
* Tue Oct 17 2023 daviddavid <daviddavid> 1.2.6-1.mga10
+ Revision: 1997869
- new version: 1.2.6

* Mon May 01 2023 luigiwalser <luigiwalser> 1.2.5-1.mga9
+ Revision: 1955551
- 1.2.5

* Tue Jan 17 2023 luigiwalser <luigiwalser> 1.2.4-1.mga9
+ Revision: 1934003
- 1.2.4

* Sun Sep 25 2022 neoclust <neoclust> 1.2.3-2.mga9
+ Revision: 1892251
- New version 1.2.3

* Wed Mar 16 2022 umeabot <umeabot> 1.2.1-2.mga9
+ Revision: 1794856
- Mageia 9 Mass Rebuild

* Thu Jan 06 2022 luigiwalser <luigiwalser> 1.2.1-1.mga9
+ Revision: 1767103
- 1.2.1

* Thu Aug 05 2021 luigiwalser <luigiwalser> 1.2.0-1.mga9
+ Revision: 1739675
- 1.2.0

* Sat Jan 16 2021 luigiwalser <luigiwalser> 1.1.9-1.mga8
+ Revision: 1672032
- 1.1.9

* Mon Nov 02 2020 luigiwalser <luigiwalser> 1.1.8-1.mga8
+ Revision: 1641672
- 1.1.8

* Sat Sep 05 2020 anaselli <anaselli> 1.1.7-1.mga8
+ Revision: 1622513
- Version 1.1.7

* Tue Feb 18 2020 umeabot <umeabot> 1.1.5-2.mga8
+ Revision: 1541982
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jan 03 2020 luigiwalser <luigiwalser> 1.1.5-1.mga8
+ Revision: 1475819
- add patches from fedora to fix build and other bugs
- 1.1.5

* Wed Nov 06 2019 daviddavid <daviddavid> 1.1.4-1.mga8
+ Revision: 1458497
- new version: 1.1.4

* Sat Jul 06 2019 daviddavid <daviddavid> 1.1.3-1.mga8
+ Revision: 1419081
- new version: 1.1.3

* Sun Dec 30 2018 luigiwalser <luigiwalser> 1.1.2-1.mga7
+ Revision: 1346815
- library major is now 11
- 1.1.2

* Sun Sep 23 2018 umeabot <umeabot> 1.1.1-2.mga7
+ Revision: 1299046
- Mageia 7 Mass Rebuild

* Mon Jun 18 2018 daviddavid <daviddavid> 1.1.1-1.mga7
+ Revision: 1237607
- new version: 1.1.1

* Sat May 19 2018 daviddavid <daviddavid> 1.1.0-1.mga7
+ Revision: 1230432
- new version: 1.1.0

* Mon Jan 01 2018 daviddavid <daviddavid> 1.0.8-1.mga7
+ Revision: 1188613
- new version: 1.0.8
- now libmajor is 7

* Sun Jan 01 2017 luigiwalser <luigiwalser> 1.0.7-1.mga6
+ Revision: 1078969
- 1.0.7

* Wed Aug 10 2016 luigiwalser <luigiwalser> 1.0.6-1.mga6
+ Revision: 1045405
- 1.0.6
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 17 2015 oden <oden> 1.0.5-1.mga6
+ Revision: 903737
- imported package libnftnl


* Tue Nov 17 2015 Oden Eriksson <oe@nux.se> 1.0.5-1
- initial Mageia package
